import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class Verteidiger extends Actor
{
    int speed = 10;
    int time = 0;
    Gamemaster gm;
    public Verteidiger(Gamemaster gm){
        this.gm = gm;
    }

    public void act() 
    {
        time ++;
        move();
        attack();
        die();
    }   

    private void move (){
        if (Greenfoot.isKeyDown("left")) {
            setRotation(180);
            move(speed);
        }
        if (Greenfoot.isKeyDown("right")) {
            setRotation(0);
            move(speed);
        }
    }

    private void attack(){
        if (Greenfoot.isKeyDown("space") & time >=  25) {
            Kugel kugel = new KugelV();
            getWorld().addObject(kugel,getX(),getY() - 20);
            time = 0;
        }
    }

    private void die(){
        if(isTouching(KugelA.class)){
            gm.gameover();
            removeTouching(KugelA.class);   
            getWorld().removeObject(this);
        }
    }
}
